# Uses of Interface
org.apache.lucene.util.ArrayUtil.ByteArrayComparator

Packages that use ArrayUtil.ByteArrayComparator
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.
org.apache.lucene.util
Some utility classes.

- ## Uses of ArrayUtil.ByteArrayComparator in org.apache.lucene.document

  Methods in org.apache.lucene.document with parameters of type ArrayUtil.ByteArrayComparator
  Modifier and Type
  Method
  Description
  `boolean`
  RangeFieldQuery.QueryType.`matches(byte[] queryPackedValue, byte[] packedValue, int numDims, int bytesPerDim, ArrayUtil.ByteArrayComparator comparator)`
  Compares every dim for 2 encoded ranges and returns true if all dims match.

- ## Uses of ArrayUtil.ByteArrayComparator in org.apache.lucene.util

  Methods in org.apache.lucene.util that return ArrayUtil.ByteArrayComparator
  Modifier and Type
  Method
  Description
  `static ArrayUtil.ByteArrayComparator`
  ArrayUtil.`getUnsignedComparator(int numBytes)`
  Return a comparator for exactly the specified number of bytes.